% ssp
% ssp-edit(1)
% ssp 0.1.0
% 2024-01-09

# NAME

ssp-edit - edit an entry

# SYNOPSIS

*ssp* edit -e `ENTRY` `OPTION`[..]

# DESCRIPTION

The *edit* command allows to edit an existing entry, updating one or more fields
at a time.

<inc show-entry.md>

! HINT:
! The *edit* command does not allow to rename an entry. To do so, refer to the
! *rename* command instead.

# OPTIONS

: *-a*, *--algo* `ALGO`
:: Set `ALGO` as hashing algorithm; Defaults to sha1. Use `list` to list
:: available algorithms.

: *-C*, *--comments* `COMMENTS`
:: Set `COMMENTS` as the entry's comments.

: *-c*, *--counter*[=`NUM`]
:: Set entry to be counter-based (HOTP) with the next counter value to be `NUM`
:: Defaults to 1.

: *-d*, *--digits* `NUM`
:: Set to return an OTP of `NUM` digits. Valid values are from 5 to 9 (both
:: included); Defaults to 6.

: *-e*, *--entry* `ENTRY`
:: Edit the entry `ENTRY`. This option is required.

: *-s*, *--secret* `SECRET`
:: Set `SECRET` to be the entry's secret. `SECRET` must be base32-encoded.

: *-t*, *--time*[=`SECS`]
:: Set entry to be time-based (TOTP) with a precision of `SECS` seconds. Valid
:: values are from 10 to 59 (both included); Default to 30.

# EXAMPLES

Edit entry "foo" to reset its counter to 42 (i.e. next time an OTP is generated
it will be using 42 a counter value) :

    $ ssp edit -e foo -c42


Edit entry "bar" to have a time precision of 60 seconds and generate OTP of 8
digits, also adding a small comment :

    $ ssp ed -e bar --time=60 -d8 -C '"This is a comment.\n\nOver multiple lines."'


# SEE ALSO

[ssp-add](1), [ssp-rename](1), [ssp-remove](1)
