% ssp
% ssp-export(1)
% ssp 0.1.0
% 2024-01-09

# NAME

ssp-export - export entries

# SYNOPSIS

*ssp* export [`OPTION`..] [`PATTERN`]

# DESCRIPTION

The *export* command allows to export existing entries. Note that the exported
entries will obviously feature their secrets, and as such should be handled with
care.

Entries are exported to *stdout* in an INI-like format. Secrets are written as
base32-encoded strings, comments (if featured/any) are written in between
double-quotes (`"`) are escaped as per the rules described for arguments in
[ssp](1).

By default, all entries from the database are exported. If `PATTERN` is
specified however, only matching entries will be exported.
Refer to [ssp-list](1) for more on pattern matching.

! INFO:
! The *export* command is merely an alias for the *list* command with its
! *--format* option. Refer to [ssp-show](1) for more about the actual format.

# OPTIONS

: *-C*, *--no-comments*
:: Do not export entries' comments.

# EXAMPLE

To export all entries whose name start with "web-" into a file `web-entries` :

    $ ssp exp 'web-*' > web-entries

# SEE ALSO

[ssp-list](1), [ssp-show](1)
