% ssp
% ssp-import(1)
% ssp 0.1.0
% 2024-01-09

# NAME

ssp-import - import entries

# SYNOPSIS

*ssp* import `FILE`

# DESCRIPTION

The *import* command allows to import existing entries in INI-like format into a
new or existing database.

The expected format from `FILE` is the same as generated with the *export*
command; Refer to [ssp-show](1) (option *--format*) for more.

! NOTE:
! You cannot use *stdin* for imported data since it will be used to get the
! database's password.
!
! If you want to use a program's output as data to be imported without using a
! temporary file, a solution might be process substitution.
!
! For example, it could look like this:
! `ssp import <(someprog --export)`
!
! Refer to your shell's manual for actual syntax.

# EXAMPLE

Import entries from file `myentries` :

    $ ssp import myentries

Import into `new.ssp` all entries names whose name start with "web-" : \
(/refer to your shell's documentation for actual syntax/)

    $ ssp -D new.ssp import <(ssp export 'web-*')


# SEE ALSO

[ssp-export](1)
