% ssp
% ssp-rename(1)
% ssp 0.1.0
% 2024-01-09

# NAME

ssp-rename - rename an entry

# SYNOPSIS

*ssp* rename `ENTRY` `NEWNAME`

# DESCRIPTION

The *rename* command allows to rename  existing entry `ENTRY` to `NEWNAME`.

<inc show-entry.md>

# EXAMPLES

Rename entry "foo" to "foobar" :

    $ spp ren foo foobar


Rename entry "André" (encoded in latin1) to "André" (encoded in UTF8), assuming
your current shell/locale is UTF8) :

    $ ssp rename '"Andr\xe9"' André

! INFO:
! Note that in the above example, prior to renaming *ssp* would show the entry
! as `"Andr\xe9"` when using e.g. the `list` command.
! Such a case of "bad encoding" could potentially happen e.g. when using *ssp*
! on a different system (using a different locale) than when the entry was added.


# SEE ALSO

[ssp-edit](1)
